<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1,maximum-scale=1,user-scalable=no">
<!--     控制浏览器缓存-->
    <meta http-equiv="Cache-Control" content="no-store">
<!--     优先使用 IE 最新版本和 Chrome-->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<!--     页面描述-->
    <meta name="description" content="不超过150个字符">
<!--     页面关键词-->
    <meta name="keywords" content="">
    <title>支付金额</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        html,
        body {
            height: 100%;
            overflow: hidden;
        }

        .clearfix:after {
            content: "\200B";
            display: block;
            height: 0;
            clear: both;
        }

        .clearfix {
            *zoom: 1;
        }

        /*IE/7/6*/

        .shuru div::-webkit-scrollbar {
            width: 0;
            height: 0;
            -webkit-transition: 1s;
        }

        .shuru div::-webkit-scrollbar-thumb {
            background-color: #a7afb4;
            background-clip: padding-box;
            min-height: 28px;
        }

        .shuru div::-webkit-scrollbar-thumb:hover {
            background-color: #525252;
            background-clip: padding-box;
            min-height: 28px;
        }

        .shuru div::-webkit-scrollbar-track-piece {
            background-color: #ccd0d2;
        }

        .wrap {
            position: relative;
            margin: auto;
            max-width: 640px;
            min-width: 320px;
            width: 100%;
            height: 100%;
            background: #F0EFF5;
            overflow: hidden;
        }

        .layer-content {
            position: absolute;
            left: 50%;
            bottom: -200px;
            width: 100%;
            max-width: 640px;
            height: auto;
            z-index: 12;
            -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
        }

        /* 输入表单 */

        .edit_cash {
            display: block;
            margin-top: 15px;
            padding: 15px;
            margin: 0 auto;
            width: 90%;
            border: 1px solid #CFCFCF;
            border-radius: 10px;
            background-color: #fff;
        }

        .edit_cash p {
            font-size: 14px;
            color: #8D8D8F;
        }

        .shuru {
            position: relative;
            margin-bottom: 10px;
        }

        .shuru div {
            border: none;
            width: 100%;
            height: 50px;
            font-size: 25px;
            line-height: 50px;
            border-bottom: 1px solid #CFCFCF;
            text-indent: 30px;
            outline: none;
            white-space: pre;
            overflow-x: scroll;
        }

        .shuru span {
            position: absolute;
            top: 5px;
            font-size: 25px;
        }

        .submit {
            display: block;
            margin: 20px auto 0;
            width: 90%;
            height: 40px;
            font-size: 16px;
            color: #fff;
            background: #80D983;
            border: 1px solid #47D14C;
            border-radius: 3px;
        }

        /* 键盘 */

        .form_edit {
            width: 100%;
            background: #D1D4DD;
        }

        .form_edit > div {
            margin-bottom: 2px;
            margin-right: 0.5%;
            float: left;
            width: 33%;
            height: 45px;
            text-align: center;
            color: #333;
            line-height: 45px;
            font-size: 18px;
            font-weight: 600;
            background-color: #fff;
            border-radius: 5px;
        }

        .form_edit > div:nth-child(3n) {
            margin-right: 0;
        }

        .form_edit > div:last-child {
            background-color: #DEE1E9;
        }
    </style>
</head>
<body>
<div class="wrap" style="padding-top: 20px;">
    <div style="text-align: left;font-size: 24px;font-weight: 900;margin-bottom: 5px;margin-left: 35px"><?php echo $orderInfo['pro_cate_name']; ?></div>

    <div style="text-align: left;font-size: 16px;margin-bottom: 5px;margin-left: 35px;">购买数量：<?php echo $orderInfo['prod_cnt']; ?></div>
    <div style="text-align: left;font-size: 16px;margin-bottom: 5px;margin-left: 35px">联系人：<?php echo $orderInfo['contacts_name']; ?></div>
    <div style="text-align: left;font-size: 16px;margin-bottom: 5px;margin-left: 35px">手机号：<?php echo $orderInfo['contacts_phone']; ?></div>
    <div style="text-align: left;font-size: 16px;margin-bottom: 5px;margin-left: 35px">出游时间：<?php echo $orderInfo['run_time']; ?></div>
    <form action="" class="edit_cash">
        <p>消费总额</p>
        <div class="shuru">
            <span>¥</span>
            <div id="div"><?php echo $params['total_fee']; ?></div>
        </div>
    </form>
<!--    <input value="微信支付" class="submit" type="button" onclick="wx_call();">-->
    <input value="支付宝支付" class="submit" type="button" onclick="ali_call();">
    <?php echo $ali_info; ?>
</div>

</body>
<script type="text/javascript">
function ali_call() {
    document.forms['alipaysubmit'].submit();
}
</script>
</html>
