<?php
$params = array_merge(
    require(ROOT_PATH . '/console/config/params.php'),
    require(ROOT_PATH . '/console/config/params-local.php')
);

return [
    'charset' => 'utf-8',
    'language' => 'zh-CN',
    'timeZone' => 'Asia/Shanghai',
    'vendorPath' => dirname(dirname(__DIR__)) . '/vendor',
    'id' => 'app-console',
    'basePath' => dirname(__DIR__),
    'bootstrap' => ['log'],
    'controllerNamespace' => 'console\controllers',
    'controllerMap' => [
        'fixture' => [
            'class' => 'yii\console\controllers\FixtureController',
            'namespace' => 'common\fixtures',
          ],
    ],
    'components' => [
        'log' => [
            'targets' => [
                [
                    'class' => 'yii\log\FileTarget',
                    'levels' => ['error', 'warning'],
                ],
            ],
        ],
        'db' => [
            'class' => 'yii\db\Connection',
            'dsn' => 'mysql:host=106.14.56.77;dbname=qdhfx',
            'username' => 'spider',
            'password' => 'PjGPWNUgOYe6i1Ef',
            'charset' => 'utf8',
        ],
    ],
    'params' => $params,
];
