<?php
/**
 * 日志管理功能列表
 * ============================================================================
 * * 版权所有 蜘蛛出行 * *
 * 网站地址: http://www.zhizhuchuxing.com
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和
 * 使用；不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
 * Author By: 倪宗锋
 * PhpStorm LogController.php
 * Create By 2017/10/18 14:48 $
 */

namespace admin\controllers\user;

use admin\service\user\LogService;
use common\Controller\AdminController;
use common\util\Util;

class LogController extends AdminController
{
    public $service = null;

    public function service()
    {
        if ($this->service == null) {
            $this->service = new LogService();
        }
        return $this->service;
    }

    /**
     * Des:获取日志列表
     * Name: actionGetList
     * @return string
     * @author 倪宗锋
     */
    public function actionGetList()
    {
        $params = [
            'user_name' => trim($this->_post('user_name', '')),//用户名
            'title' => trim($this->_post('title', '')),//名称
            'resource_id' => (int)trim($this->_post('resource_id', '')),//产品ID
            'create_time_start' => $this->_post('start_time', ''),//预定时间 开始
            'create_time_end' => $this->_post('end_time', ''),//预定时间 结束
            'current_page' => $this->_post('current_page', 1),//显示页编号
            'page_size' => $this->_post('page_size', 20),//每页显示数量
        ];
        $getList  = $this->service()->getList($params);
        return Util::returnJsSu('', $getList);
    }

}